Get Node Info
GET
/info/node
const url = 'https://sylve.lan:8181/api/info/node';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/info/node \ --header 'Authorization: <Authorization>'Get the node information about the system (mainly for cluster stuff)
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
cpuUsage
number
diskTotal
integer
diskUsage
number
guestIds
Array<integer>
hostname
string
logicalCores
integer
ramTotal
integer
ramUsage
number
sylveVersion
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "cpuUsage": 1, "diskTotal": 1, "diskUsage": 1, "guestIds": [ 1 ], "hostname": "example", "logicalCores": 1, "ramTotal": 1, "ramUsage": 1, "sylveVersion": "example" }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}